# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/valgrind gcc-c++ libgsl-devel perl(English.pm) perl(FileHandle.pm)
# END SourceDeps(oneline)
Name:		unuran
Version:	1.8.0
Release: 	alt1_5
Summary:	Universal Non-Uniform Random number generator

Group:		System/Libraries
License:	GPLv2+
URL:		http://statistik.wu-wien.ac.at/unuran
Source0:	http://statistik.wu-wien.ac.at/unuran/%{name}-%{version}.tar.gz
Source44: import.info


%description

UNU.RAN  is an ANSI C library licensed under GPL. 
It contains universal (also called automatic or black-box) algorithms
that can generate random numbers from large classes of continuous or
discrete distributions, and also from practically all standard
distributions.

The library and an extensive online documentation are available at:

          -------------------------------------------
             http://statistik.wu-wien.ac.at/unuran/ 
          -------------------------------------------

%package devel
Requires: %{name} = %{version}-%{release}
Group: Development/C
Summary: Header and object files for unuran
License: GPLv2+

%description devel
Header and object files for unuran, and pdf docs.

%prep
%setup -q -n %{name}-%{version}


%build
# Workaround for gcc-4.3
#CFLAGS='%{optflags} -fno-optimize-sibling-calls' %configure --enable-shared --disable-static --enable-logging
%configure --enable-shared --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
#mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}
#cp doc/unuran.pdf $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}
rm $RPM_BUILD_ROOT/%{_libdir}/libunuran.la
rm $RPM_BUILD_ROOT/%{_includedir}/unuran_tests.h
rm $RPM_BUILD_ROOT/%{_infodir}/unuran_win32*
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

# clean examples
rm -rf __dist_examples __clean_examples
cp -a examples __clean_examples
make -C __clean_examples distclean
rm __clean_examples/Makefile*
mkdir __dist_examples
mv __clean_examples __dist_examples/examples

%files
%doc COPYING AUTHORS README NEWS KNOWN-PROBLEMS THANKS UPGRADE
%{_infodir}/unuran*
%{_libdir}/libunuran.so.*

%files devel
%{_includedir}/unuran*.h
%{_libdir}/libunuran.so
%doc doc/unuran.pdf __dist_examples/examples

%check # enable if you want - takes a long time
SEED=2742664 make check

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.8.0-alt1_5
- initial fc import

